Loading...
Searching...
No Matches
gridfire::NetIn Struct Reference

`#include <types.h>`

## Public Attributes

fourdst::composition::Composition | composition
| Composition of the network.
double | tMax
| Maximum time.
double | dt0
| Initial time step.
double | temperature
| Temperature in Kelvin.
double | density
| Density in g/cm^3.
double | energy
| Energy in ergs.
double | culling = 0.0
| Culling threshold for reactions (default is 0.0, meaning no culling)

## Member Data Documentation

## composition

fourdst::composition::Composition gridfire::NetIn::composition

Composition of the network.

## culling

double gridfire::NetIn::culling = 0.0

Culling threshold for reactions (default is 0.0, meaning no culling)

## density

double gridfire::NetIn::density

Density in g/cm^3.

## dt0

double gridfire::NetIn::dt0

Initial time step.

## energy

double gridfire::NetIn::energy

Energy in ergs.

## temperature

double gridfire::NetIn::temperature

Temperature in Kelvin.

## tMax

double gridfire::NetIn::tMax

Maximum time.

The documentation for this struct was generated from the following file:

- src/include/gridfire/types/types.h